Bug 1415381 - [abrt] gnome-disk-utility: _g_log_abort(): gnome-disks killed by SIGTRAP
Summary: [abrt] gnome-disk-utility: _g_log_abort(): gnome-disks killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f76ca8751c72943dea9a195fed7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 11:34 UTC by Alan Jenkins
Modified: 2018-05-29 11:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:23:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.79 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: core_backtrace (5.67 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: dso_list (9.48 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: environ (1.49 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: maps (42.38 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: mountinfo (4.08 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: open_fds (882 bytes, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details
File: var_log_messages (524 bytes, text/plain)
2017-01-21 11:34 UTC, Alan Jenkins
no flags Details

Description Alan Jenkins 2017-01-21 11:34:07 UTC
Description of problem:
1. systemctl mask --now udisks2
2. gnome-disks

gnome-disks crashes on startup.

Version-Release number of selected component:
gnome-disk-utility-3.22.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-disks --gapplication-service
crash_function: _g_log_abort
executable:     /usr/bin/gnome-disks
global_pid:     20622
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
smart_data:     
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _g_log_abort at gmessages.c:487
 #1 g_log_default_handler at gmessages.c:2816
 #4 gdu_application_ensure_client at gduapplication.c:93
 #6 gdu_application_activate at gduapplication.c:259
 #10 g_signal_emit_by_name at gsignal.c:3487
 #11 g_application_impl_method_call at gapplicationimpl-dbus.c:195
 #12 call_in_idle_cb at gdbusconnection.c:4836
 #17 g_main_context_iteration at gmain.c:3990
 #18 g_application_run at gapplication.c:2381

Comment 1 Alan Jenkins 2017-01-21 11:34:13 UTC
Created attachment 1243110 [details]
File: backtrace

Comment 2 Alan Jenkins 2017-01-21 11:34:15 UTC
Created attachment 1243111 [details]
File: cgroup

Comment 3 Alan Jenkins 2017-01-21 11:34:16 UTC
Created attachment 1243112 [details]
File: core_backtrace

Comment 4 Alan Jenkins 2017-01-21 11:34:19 UTC
Created attachment 1243113 [details]
File: dso_list

Comment 5 Alan Jenkins 2017-01-21 11:34:20 UTC
Created attachment 1243114 [details]
File: environ

Comment 6 Alan Jenkins 2017-01-21 11:34:22 UTC
Created attachment 1243115 [details]
File: limits

Comment 7 Alan Jenkins 2017-01-21 11:34:24 UTC
Created attachment 1243116 [details]
File: maps

Comment 8 Alan Jenkins 2017-01-21 11:34:26 UTC
Created attachment 1243117 [details]
File: mountinfo

Comment 9 Alan Jenkins 2017-01-21 11:34:27 UTC
Created attachment 1243118 [details]
File: namespaces

Comment 10 Alan Jenkins 2017-01-21 11:34:29 UTC
Created attachment 1243119 [details]
File: open_fds

Comment 11 Alan Jenkins 2017-01-21 11:34:31 UTC
Created attachment 1243120 [details]
File: proc_pid_status

Comment 12 Alan Jenkins 2017-01-21 11:34:33 UTC
Created attachment 1243121 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:30:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Alan Jenkins 2017-11-16 19:47:27 UTC
Still present in F26 with control-center-3.22.1-2.fc25.x86_64.

Comment 15 Fedora End Of Life 2018-05-03 08:09:39 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:23:53 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.